Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.gotoandplay.smartfoxclient.data
Class RoomVariableRequest

    java.lang.Object
      it.gotoandplay.smartfoxclient.data.SFSVariable
          it.gotoandplay.smartfoxclient.data.RoomVariableRequest

    public class RoomVariableRequest

extends SFSVariable

The RoomVariableRequest represent class represents a room variable in requests to the server.

Version:
  1.0.0
Author:
  The gotoAndPlay() Team
  http://www.smartfoxserver.com
  http://www.gotoandplay.it
See Also:
  `SmartFoxClient.createRoom(java.lang.String, int, java.util.Map)`, `SmartFoxClient.setRoomVariables(java.util.Map)`

Field Summary

Fields inherited from class it.gotoandplay.smartfoxclient.data.SFSVariable
`type, TYPE_BOOLEAN, TYPE_NULL, TYPE_NUMBER, TYPE_STRING, value`

Constructor Summary
`RoomVariableRequest(java.lang.String value, java.lang.String type)`
`RoomVariableRequest(java.lang.String value, java.lang.String type, boolean isPrivate)`
`RoomVariableRequest(java.lang.String value, java.lang.String type, boolean isPrivate, boolean persistent)`

Method Summary
`boolean` | `isPersistent()` Returns if the variable is persistent.
`boolean` | `isPrivate()` Returns if the variable is private.
`void` | `setPersistent(boolean persistent)` Sets if the variable is persistent.
`void` | `setPrivate(boolean isPrivate)` Sets if the variable is private.

Methods inherited from class it.gotoandplay.smartfoxclient.data.SFSVariable
`getType, getValue, setType, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoomVariableRequest

    public RoomVariableRequest(java.lang.String value,
                               java.lang.String type)

Parameters:
  `value` - the variable value.
  `type` - the variable type.

### RoomVariableRequest

    public RoomVariableRequest(java.lang.String value,
                               java.lang.String type,
                               boolean isPrivate)

Parameters:
  `value` - the variable value.
  `type` - the variable type.
  `isPrivate` - if the variable is private.

### RoomVariableRequest

    public RoomVariableRequest(java.lang.String value,
                               java.lang.String type,
                               boolean isPrivate,
                               boolean persistent)

Parameters:
  `value` - the variable value.
  `type` - the variable type.
  `isPrivate` - if the variable is private.
  `persistent` - if the variable is persistent.

Method Detail

### isPrivate

    public boolean isPrivate()

  Returns if the variable is private.

  Returns:
    if the variable is private.

### setPrivate

    public void setPrivate(boolean isPrivate)

  Sets if the variable is private.

  Parameters:
    `isPrivate` - if the variable is private.

### isPersistent

    public boolean isPersistent()

  Returns if the variable is persistent.

  Returns:
    if the variable is persistent.

### setPersistent

    public void setPersistent(boolean persistent)

  Sets if the variable is persistent.

  Parameters:
    `persistent` - if the variable is persistent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD